| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFSessionDocument Class Referenceabstract

`#include <AAX_IACFSessionDocument.h>`

Inheritance diagram for AAX_IACFSessionDocument:
[legend]
Collaboration diagram for AAX_IACFSessionDocument:
[legend]

## Description

Interface representing information in a host session document.

Plug-in implementations should use AAX_ISessionDocument , which provides specific convenience methods for supported data types.

## Public Member Functions
virtual AAX_Result | GetDocumentData (AAX_DocumentData_UID const &inDataType, IACFUnknown **outData)=0
| Get data from the document.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ GetDocumentData()

virtual AAX_Result AAX_IACFSessionDocument::GetDocumentData | ( | AAX_DocumentData_UID const & | inDataType,
|  | IACFUnknown ** | outData
| ) |  |
| pure virtual

Get data from the document.

Get document data of a generic type

Similar to `QueryInterface()` but uses a data type identifier rather than a true IID

The provided interface has already had a reference added, so be careful not to add an additional reference:

ACFPtr<MyType> ptr;
IACFUnknown * docDataPtr{nullptr};
if (AAX_SUCCESS == doc->GetDocumentData(dataUID, &docDataPtr) && docDataPtr) {
ptr.attach(std::static_cast<MyType*>(docDataPtr)); // attach does not AddRef
}
AAX_SUCCESS
@ AAX_SUCCESS
Definition: AAX_Errors.h:49
IACFUnknown
COM compatible IUnknown C++ interface.
Definition: AAX_ACFInterface.doxygen:265

Parameters

  [in] | inDataType | The type of the document data requested
  [out] | outData | An interface providing the requested data, or `nullptr` if the host does not support or cannot provide the requested data type. The reference count has been incremented on this object on behalf of the caller, so the caller must not add an additional reference count and must decrement the reference count on this object to release it. For information about which interface to expect for each requested data type, see the documentation for that data type.

The documentation for this class was generated from the following file:

- AAX_IACFSessionDocument.h